Subject: bug#61025: 3.0.9rc1: readline.scm missing

From: [email-masked]
Date: Mon, 23 Jan 2023 10:19:53 +0100

hello

build of 3.0.9rc1 stops for me with:

  ----8<----
  /bin/sh ../libtool  --tag=CC   --mode=compile gcc -m64 -DHAVE_CONFIG_H  -I. -I..  -I. -I.. -I./.. -I../lib -I../lib -I/home/balducci/tmp/install-us-d/guile-3.0.9rc1.d/guile-3.0.9rc1  -Wall -Wmissing-prototypes -Wpointer-arith -fno-strict-aliasing -fwrapv -I/opt/stow.d/versions/gc-4650/usr/include -g -O2 -flto -MT readline.lo -MD -MP -MF .deps/readline.Tpo -c -o readline.lo readline.c
  make[4]: *** No rule to make target 'ice-9/readline.scm', needed by 'ice-9/readline.go'.  Stop.
  ---->8----

Actually, ice-9/readline.scm is missing from the 3.0.9rc1 tarball

If I copy ice-9/readline.scm from 3.0.8 under
guile-3.0.9rc1/guile-readline the build completes successfully

Am I missing something or is this a genuine problem?

Configuring with:
  ----8<----
  --with-threads
  --without-64-calls
  --without-included-regex
  --disable-error-on-warning
  ----8<----

Building on linux with gcc-12:

##> uname -srvmo
Linux 6.1.7 #1 SMP Thu Jan 19 08:30:44 CET 2023 x86_64 GNU/Linux

##> gcc --version
gcc (GCC) 12.2.0

thank you very much for your valuable work
ciao
-gabriele